## org.apache.poi.hslf.blip
Class Metafile

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Metafile

Direct Known Subclasses:
  EMF, PICT, WMF

    public abstract class Metafile

extends PictureData

Represents a metafile picture which can be one of the following types: EMF, WMF, or PICT. A metafile is stored compressed using the ZIP deflate/inflate algorithm.

Author:
  Yegor Kozlov

Nested Class Summary
`static class` `Metafile.Header` A structure which represents a 34-byte header preceeding the compressed metafile data

Field Summary

Fields inherited from class org.apache.poi.hslf.usermodel.PictureData
`CHECKSUM_SIZE, logger, offset, painters`

Constructor Summary
`Metafile()`

Method Summary
`protected byte[]` `compress(byte[] bytes, int offset, int length)`

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getData, getHeader, getImagePainter, getOffset, getRawData, getSignature, getSize, getType, getUID, setData, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Metafile

    public Metafile()

Method Detail

### compress

    protected byte[] compress(byte[] bytes,
                              int offset,
                              int length)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.